#pragma once

#if defined(REMIX_BOARD_NUCLEO_F072RB)
#include <remix/boards/nucleo_f072rb.h>
#elif defined(REMIX_BOARD_NUCLEO_F103RB)
#include <remix/boards/nucleo_f103rb.h>
#elif defined(REMIX_BOARD_NUCLEO_F303RE)
#include <remix/boards/nucleo_f303re.h>
#elif defined(REMIX_BOARD_NUCLEO_L031K6)
#include <remix/boards/nucleo_l031k6.h>
#elif defined(REMIX_BOARD_STM32L010K8_STACKABLE)
#include <remix/boards/stm32l010k8_stackable.h>
#elif defined(REMIX_BOARD_STM32L031K6_STACKABLE)
#include <remix/boards/stm32l031k6_stackable.h>
#elif defined(REMIX_BOARD_STM32L011F4_BREAKOUT)
#include <remix/boards/stm32l011f4_breakout.h>
#elif defined(REMIX_BOARD_NUCLEO_L053R8)
#include <remix/boards/nucleo_l053r8.h>
#elif defined(REMIX_BOARD_NUCLEO_F303RE)
#include <remix/boards/nucleo_f303re.h>
#elif defined(REMIX_BOARD_STM32F103_BASE)
#include <remix/boards/stm32f103_base.h>
#elif defined(REMIX_BOARD_STM32F103_BASE)
#include <remix/boards/stm32f103_base.h>
#elif defined(REMIX_BOARD_EXP_MSP430G2)
#include <remix/boards/exp_msp430g2.h>
#elif defined(REMIX_BOARD_EXP_MSP430FR4133)
#include <remix/boards/exp_msp430fr4133.h>
#elif defined(REMIX_BOARD_AVR64DD32_CURIOSITY_NANO)
#include <remix/boards/avr64dd32_curiosity_nano.h>
#elif defined(REMIX_BOARD_AVR128DB28_BREAKOUT)
#include <remix/boards/avr128db28_breakout.h>
#elif defined(REMIX_BOARD_UNO)
#include <remix/boards/uno.h>
#elif defined(REMIX_BOARD_CUSTOM)
#include "board.h"
#endif
